﻿using CommonFun;
using DAL;
using Module;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace BLL
{
    public class UserBLL
    {
        public async Task<User> GetUserBll(Int64 ID)
        {
            Thread.Sleep(5000);
            LogFun lg = new LogFun();
            lg.ShowThread("BLL执行前");
            UserDAL dal = new UserDAL();
            var t = dal.GetUser(ID);
            await t;
            lg.ShowThread("BLL执行后");
            return t.Result;
        }

        public async Task AddUser(User p_User)
        {
            LogFun lg = new LogFun();
            lg.ShowThread("BLL执行前");
            UserDAL dal = new UserDAL();
            var t = dal.AddUser(p_User);
            await t;
            lg.ShowThread("BLL执行后");
        }
    }
}
