﻿using CommonFun;
using Module;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace DAL
{
    public class UserDAL
    {
        public async Task<User> GetUser(Int64 p_UserID)
        {
            Thread.Sleep(5000);
            LogFun lg = new LogFun();
            lg.ShowThread("DAL执行前");

            var ta = Task.Factory.StartNew(() => Add(new User() { ID = p_UserID, UserName = "wudequn" }));
            await ta;
            lg.ShowThread("DAL执行中");
            var t = Task<User>.Factory.StartNew(() =>{ return BuliderUser(p_UserID); });
            await t;
            lg.ShowThread("DAL执行后");
            return t.Result;
        }

        public async Task AddUser(User p_User)
        {
            
            LogFun lg = new LogFun();
            lg.ShowThread("DAL执行前");
            var t = Task.Factory.StartNew(() => Add(p_User));
            await t;
            lg.ShowThread("DAL执行后");
        }

        public User Add(User p_User)
        {
            LogFun lg = new LogFun();
            lg.ShowThread("ADDUser执行中");
            p_User.ID = 10;
            return p_User;
        }

        public User BuliderUser(Int64 id)
        {
            LogFun lg = new LogFun();
            lg.ShowThread("User执行中");
            return new User()
            {
                ID = id,
                UserName = "wudequn"
            };
        }
        
    }
}
